/**********************************************************************************************************************

    ██████╗ ██╗      ██████╗  ██████╗██╗  ██╗███████╗     ██████╗ ██████╗ ███╗   ███╗███╗   ███╗ ██████╗ ███╗   ██╗
    ██╔══██╗██║     ██╔═══██╗██╔════╝██║ ██╔╝██╔════╝    ██╔════╝██╔═══██╗████╗ ████║████╗ ████║██╔═══██╗████╗  ██║
    ██████╔╝██║     ██║   ██║██║     █████╔╝ ███████╗    ██║     ██║   ██║██╔████╔██║██╔████╔██║██║   ██║██╔██╗ ██║
    ██╔══██╗██║     ██║   ██║██║     ██╔═██╗ ╚════██║    ██║     ██║   ██║██║╚██╔╝██║██║╚██╔╝██║██║   ██║██║╚██╗██║
    ██████╔╝███████╗╚██████╔╝╚██████╗██║  ██╗███████║    ╚██████╗╚██████╔╝██║ ╚═╝ ██║██║ ╚═╝ ██║╚██████╔╝██║ ╚████║
    ╚═════╝ ╚══════╝ ╚═════╝  ╚═════╝╚═╝  ╚═╝╚══════╝     ╚═════╝ ╚═════╝ ╚═╝     ╚═╝╚═╝     ╚═╝ ╚═════╝ ╚═╝  ╚═══╝
                                                                                                                
 **********************************************************************************************************************/


    /* Margins top. */

    .small .small-margin-top-none {
        margin-top: 0;
    }

    .small .small-margin-top-small {
        margin-top: var(--nvm-length-small);
    }

    .small .small-margin-top-medium {
        margin-top: var(--nvm-length-medium);
    }

    .small .small-margin-top-normal {
        margin-top: var(--nvm-length-normal) !important;
    }

    .small .small-margin-top-large {
        margin-top: var(--nvm-length-large) !important;
    }

    .small .small-margin-top-xlarge {
        margin-top: var(--nvm-length-xlarge);
    }

    .small .small-margin-top-3M {
        margin-top: var(--ks-3M) !important;
    }

    .small .small-margin-top-4M {
        margin-top: var(--ks-4M) !important;
    }

    .tablet .tablet-margin-top-none {
        margin-top: 0;
    }

    .tablet .tablet-margin-top-small {
        margin-top: var(--nvm-length-small);
    }

    .tablet .tablet-margin-top-medium {
        margin-top: var(--nvm-length-medium);
    }

    .tablet .tablet-margin-top-normal {
        margin-top: var(--nvm-length-normal) !important;
    }

    .tablet .tablet-margin-top-large {
        margin-top: var(--nvm-length-large) !important;
    }

    .tablet .tablet-margin-top-xlarge {
        margin-top: var(--nvm-length-xlarge);
    }

    .tablet .tablet-margin-top-3M {
        margin-top: var(--ks-3M) !important;
    }

    .tablet .tablet-margin-top-4M {
        margin-top: var(--ks-4M) !important;
    }

    .laptop .laptop-margin-top-none {
        margin-top: 0 !important;
    }

    .laptop .laptop-margin-top-small {
        margin-top: var(--nvm-length-small);
    }

    .laptop .laptop-margin-top-medium {
        margin-top: var(--nvm-length-medium);
    }

    .laptop .laptop-margin-top-normal {
        margin-top: var(--nvm-length-normal) !important;
    }

    .laptop .laptop-margin-top-large {
        margin-top: var(--nvm-length-large) !important;
    }

    .laptop .laptop-margin-top-xlarge {
        margin-top: var(--nvm-length-xlarge);
    }

    .laptop .laptop-margin-top-3M {
        margin-top: var(--ks-3M) !important;
    }

    .laptop .laptop-margin-top-4M {
        margin-top: var(--ks-4M) !important;
    }

    .desktop .desktop-margin-top-large {
        margin-top: var(--nvm-length-large) !important;
    }

    .desktop .desktop-margin-top-3M {
        margin-top: var(--ks-3M) !important;
    }

    .desktop .desktop-margin-top-4M {
        margin-top: var(--ks-4M) !important;
    }




    /* Margins bottom. */

    .small .small-margin-bottom-none {
        margin-bottom: 0;
    }

    .small .small-margin-bottom-small {
        margin-bottom: var(--nvm-length-small);
    }

    .small .small-margin-bottom-medium {
        margin-bottom: var(--nvm-length-medium);
    }

    .small .small-margin-bottom-normal {
        margin-bottom: var(--nvm-length-normal) !important;
    }

    .small .small-margin-bottom-large {
        margin-bottom: var(--nvm-length-large) !important;
    }

    .small .small-margin-bottom-xlarge {
        margin-bottom: var(--nvm-length-xlarge);
    }

    .small .small-margin-bottom-3M {
        margin-bottom: var(--ks-3M) !important;
    }

    .small .small-margin-bottom-4M {
        margin-bottom: var(--ks-4M) !important;
    }

    .tablet .tablet-margin-bottom-none {
        margin-bottom: 0;
    }

    .tablet .tablet-margin-bottom-small {
        margin-bottom: var(--nvm-length-small) !important;
    }

    .tablet .tablet-margin-bottom-medium {
        margin-bottom: var(--nvm-length-medium) !important;
    }

    .tablet .tablet-margin-bottom-normal {
        margin-bottom: var(--nvm-length-normal) !important;
    }

    .tablet .tablet-margin-bottom-large {
        margin-bottom: var(--nvm-length-large) !important;
    }

    .tablet .tablet-margin-bottom-xlarge {
        margin-bottom: var(--nvm-length-xlarge);
    }

    .tablet .tablet-margin-bottom-3M {
        margin-bottom: var(--ks-3M) !important;
    }

    .tablet .tablet-margin-bottom-4M {
        margin-bottom: var(--ks-4M) !important;
    }

    .laptop .laptop-margin-bottom-none {
        margin-bottom: 0 !important;
    }

    .laptop .laptop-margin-bottom-small {
        margin-bottom: var(--nvm-length-small);
    }

    .laptop .laptop-margin-bottom-medium {
        margin-bottom: var(--nvm-length-medium);
    }

    .laptop .laptop-margin-bottom-normal {
        margin-bottom: var(--nvm-length-normal) !important;
    }

    .laptop .laptop-margin-bottom-large {
        margin-bottom: var(--nvm-length-large) !important;
    }

    .laptop .laptop-margin-bottom-xlarge {
        margin-bottom: var(--nvm-length-xlarge);
    }

    .laptop .laptop-margin-bottom-3M {
        margin-bottom: var(--ks-3M) !important;
    }

    .laptop .laptop-margin-bottom-4M {
        margin-bottom: var(--ks-4M) !important;
    }



    /* Margins left. */

    .small .small-margin-left-none {
        margin-left: 0;
    }

    .small .small-margin-left-small {
        margin-left: var(--nvm-length-small);
    }

    .small .small-margin-left-medium {
        margin-left: var(--nvm-length-medium);
    }

    .small .small-margin-left-normal {
        margin-left: var(--nvm-length-normal);
    }

    .small .small-margin-left-large {
        margin-left: var(--nvm-length-large);
    }

    .small .small-margin-left-xlarge {
        margin-left: var(--nvm-length-xlarge);
    }

    .small .small-margin-left-xxlarge {
        margin-left: var(--nvm-length-xxlarge);
    }

    .small .small-margin-left-xxxlarge {
        margin-left: var(--nvm-length-xxxlarge) !important;
    }

    .small .small-margin-left-3M {
        margin-left: var(--ks-3M) !important;
    }

    .small .small-margin-left-4M {
        margin-left: var(--ks-4M) !important;
    }

    .tablet .tablet-margin-left-none {
        margin-left: 0;
    }

    .tablet .tablet-margin-left-small {
        margin-left: var(--nvm-length-small);
    }

    .tablet .tablet-margin-left-medium {
        margin-left: var(--nvm-length-medium);
    }

    .tablet .tablet-margin-left-normal {
        margin-left: var(--nvm-length-normal);
    }

    .tablet .tablet-margin-left-large {
        margin-left: var(--nvm-length-large);
    }

    .tablet .tablet-margin-left-xlarge {
        margin-left: var(--nvm-length-xlarge);
    }

    .tablet .tablet-margin-left-xxlarge {
        margin-left: var(--nvm-length-xxlarge) !important;
    }

    .tablet .tablet-margin-left-xxxlarge {
        margin-left: var(--nvm-length-xxxlarge) !important;
    }

    .tablet .tablet-margin-left-3M {
        margin-left: var(--ks-3M) !important;
    }

    .tablet .tablet-margin-left-4M {
        margin-left: var(--ks-4M) !important;
    }


    .laptop .laptop-margin-left-none {
        margin-left: 0;
    }

    .laptop .laptop-margin-left-small {
        margin-left: var(--nvm-length-small);
    }

    .laptop .laptop-margin-left-medium {
        margin-left: var(--nvm-length-medium) !important;
    }

    .laptop .laptop-margin-left-normal {
        margin-left: var(--nvm-length-normal);
    }

    .laptop .laptop-margin-left-large {
        margin-left: var(--nvm-length-large) !important;
    }

    .laptop .laptop-margin-left-xlarge {
        margin-left: var(--nvm-length-xlarge) !important;
    }

    .laptop .laptop-margin-left-xxlarge {
        margin-left: var(--nvm-length-xxlarge) !important;
    }

    .laptop .laptop-margin-left-xxxlarge {
        margin-left: var(--nvm-length-xxxlarge) !important;
    }

    .laptop .laptop-margin-left-3M {
        margin-left: var(--ks-3M) !important;
    }

    .laptop .laptop-margin-left-4M {
        margin-left: var(--ks-4M) !important;
    }

    .desktop .desktop-margin-left-medium {
        margin-left: var(--nvm-length-medium) !important;
    }

    .desktop .desktop-margin-left-xlarge {
        margin-left: var(--nvm-length-xlarge) !important;
    }

    .desktop .desktop-margin-left-xxlarge {
        margin-left: var(--nvm-length-xxlarge) !important;
    }

    .desktop .desktop-margin-left-xxxlarge {
        margin-left: var(--nvm-length-xxxlarge) !important;
    }

    .desktop .desktop-margin-left-3M {
        margin-left: var(--ks-3M) !important;
    }

    .desktop .desktop-margin-left-4M {
        margin-left: var(--ks-4M) !important;
    }

    .large .large-margin-left-large {
        margin-left: var(--nvm-length-large) !important;
    }

    .large .large-margin-left-xlarge {
        margin-left: var(--nvm-length-xlarge) !important;
    }

    .large .large-margin-left-xxlarge {
        margin-left: var(--nvm-length-xxlarge) !important;
    }

    .large .large-margin-left-xxxlarge {
        margin-left: var(--nvm-length-xxxlarge) !important;
    }

    .large .large-margin-left-3M {
        margin-left: var(--ks-3M) !important;
    }

    .large .large-margin-left-4M {
        margin-left: var(--ks-4M) !important;
    }



    /* Margins right. */

    .small .small-margin-right-none {
        margin-right: 0;
    }

    .small .small-margin-right-small {
        margin-right: var(--nvm-length-small);
    }

    .small .small-margin-right-medium {
        margin-right: var(--nvm-length-medium);
    }

    .small .small-margin-right-normal {
        margin-right: var(--nvm-length-normal);
    }

    .small .small-margin-right-large {
        margin-right: var(--nvm-length-large);
    }

    .small .small-margin-right-xlarge {
        margin-right: var(--nvm-length-xlarge) !important;
    }

    .small .small-margin-right-xxlarge {
        margin-right: var(--nvm-length-xxlarge) !important;
    }

    .small .small-margin-right-xxxlarge {
        margin-right: var(--nvm-length-xxxlarge) !important;
    }

    .small .small-margin-right-3M {
        margin-right: var(--ks-3M) !important;
    }

    .small .small-margin-right-4M {
        margin-right: var(--ks-4M) !important;
    }

    .tablet .tablet-margin-right-none {
        margin-right: 0;
    }

    .tablet .tablet-margin-right-small {
        margin-right: var(--nvm-length-small);
    }

    .tablet .tablet-margin-right-medium {
        margin-right: var(--nvm-length-medium);
    }

    .tablet .tablet-margin-right-normal {
        margin-right: var(--nvm-length-normal);
    }

    .tablet .tablet-margin-right-large {
        margin-right: var(--nvm-length-large);
    }

    .tablet .tablet-margin-right-xlarge {
        margin-right: var(--nvm-length-xlarge) !important;
    }

    .tablet .tablet-margin-right-xxlarge {
        margin-right: var(--nvm-length-xxlarge) !important;
    }

    .tablet .tablet-margin-right-xxxlarge {
        margin-right: var(--nvm-length-xxxlarge) !important;
    }

    .tablet .tablet-margin-right-3M {
        margin-right: var(--ks-3M) !important;
    }

    .tablet .tablet-margin-right-4M {
        margin-right: var(--ks-4M) !important;
    }

    .laptop .laptop-margin-right-none {
        margin-right: 0;
    }

    .laptop .laptop-margin-right-small {
        margin-right: var(--nvm-length-small);
    }

    .laptop .laptop-margin-right-medium {
        margin-right: var(--nvm-length-medium) !important;
    }

    .laptop .laptop-margin-right-normal {
        margin-right: var(--nvm-length-normal);
    }

    .laptop .laptop-margin-right-large {
        margin-right: var(--nvm-length-large);
    }

    .laptop .laptop-margin-right-xlarge {
        margin-right: var(--nvm-length-xlarge) !important;
    }

    .laptop .laptop-margin-right-xxlarge {
        margin-right: var(--nvm-length-xxlarge) !important;
    }

    .laptop .laptop-margin-right-xxxlarge {
        margin-right: var(--nvm-length-xxxlarge) !important;
    }

    .laptop .laptop-margin-right-3M {
        margin-right: var(--ks-3M) !important;
    }

    .laptop .laptop-margin-right-4M {
        margin-right: var(--ks-4M) !important;
    }

    .desktop .desktop-margin-right-medium {
        margin-right: var(--nvm-length-medium) !important;
    }

    .desktop .desktop-margin-right-xlarge {
        margin-right: var(--nvm-length-xlarge) !important;
    }

    .desktop .desktop-margin-right-xxlarge {
        margin-right: var(--nvm-length-xxlarge) !important;
    }

    .desktop .desktop-margin-right-xxxlarge {
        margin-right: var(--nvm-length-xxxlarge) !important;
    }

    .desktop .desktop-margin-right-3M {
        margin-right: var(--ks-3M) !important;
    }

    .desktop .desktop-margin-right-4M {
        margin-right: var(--ks-4M) !important;
    }

    .large .large-margin-right-large {
        margin-right: var(--nvm-length-large) !important;
    }

    .large .large-margin-right-xlarge {
        margin-right: var(--nvm-length-xlarge) !important;
    }

    .large .large-margin-right-xxlarge {
        margin-right: var(--nvm-length-xxlarge) !important;
    }

    .large .large-margin-right-xxxlarge {
        margin-right: var(--nvm-length-xxxlarge) !important;
    }

    .large .large-margin-right-3M {
        margin-right: var(--ks-3M) !important;
    }

    .large .large-margin-right-4M {
        margin-right: var(--ks-4M) !important;
    }


    /* Paddings top. */

    .small .small-padding-top-none {
        padding-top: 0 !important;
    }

    .small .small-padding-top-small {
        padding-top: var(--nvm-length-small);
    }

    .small .small-padding-top-medium {
        padding-top: var(--nvm-length-medium) !important;
    }

    .small .small-padding-top-normal {
        padding-top: var(--nvm-length-normal);
    }

    .small .small-padding-top-large {
        padding-top: var(--nvm-length-large) !important;
    }

    .small .small-padding-top-xlarge {
        padding-top: var(--nvm-length-xlarge) !important;
    }

    .small .small-padding-top-xxlarge {
        padding-top: var(--nvm-length-xxlarge) !important;
    }

    .tablet .tablet-padding-top-none {
        padding-top: 0 !important;
    }

    .tablet .tablet-padding-top-small {
        padding-top: var(--nvm-length-small);
    }

    .tablet .tablet-padding-top-medium {
        padding-top: var(--nvm-length-medium) !important;
    }

    .tablet .tablet-padding-top-normal {
        padding-top: var(--nvm-length-normal);
    }

    .tablet .tablet-padding-top-large {
        padding-top: var(--nvm-length-large) !important;
    }

    .tablet .tablet-padding-top-xlarge {
        padding-top: var(--nvm-length-xlarge) !important;
    }

    .tablet .tablet-padding-top-xxlarge {
        padding-top: var(--nvm-length-xxlarge) !important;
    }

    .laptop .laptop-padding-top-none {
        padding-top: 0 !important;
    }

    .laptop .laptop-padding-top-small {
        padding-top: var(--nvm-length-small);
    }

    .laptop .laptop-padding-top-medium {
        padding-top: var(--nvm-length-medium) !important;
    }

    .laptop .laptop-padding-top-normal {
        padding-top: var(--nvm-length-normal);
    }

    .laptop .laptop-padding-top-large {
        padding-top: var(--nvm-length-large) !important;
    }

    .laptop .laptop-padding-top-xlarge {
        padding-top: var(--nvm-length-xlarge) !important;
    }

    .laptop .laptop-padding-top-xxlarge {
        padding-top: var(--nvm-length-xxlarge) !important;
    }

    .desktop .desktop-padding-top-large {
        padding-top: var(--nvm-length-large);
    }



    /* Paddings bottom. */

    .small .small-padding-bottom-none {
        padding-bottom: 0;
    }

    .small .small-padding-bottom-small {
        padding-bottom: var(--nvm-length-small);
    }

    .small .small-padding-bottom-medium {
        padding-bottom: var(--nvm-length-medium);
    }

    .small .small-padding-bottom-normal {
        padding-bottom: var(--nvm-length-normal);
    }

    .small .small-padding-bottom-large {
        padding-bottom: var(--nvm-length-large);
    }

    .small .small-padding-bottom-xlarge {
        padding-bottom: var(--nvm-length-xlarge);
    }

    .tablet .tablet-padding-bottom-none {
        padding-bottom: 0;
    }

    .tablet .tablet-padding-bottom-small {
        padding-bottom: var(--nvm-length-small);
    }

    .tablet .tablet-padding-bottom-medium {
        padding-bottom: var(--nvm-length-medium);
    }

    .tablet .tablet-padding-bottom-normal {
        padding-bottom: var(--nvm-length-normal);
    }

    .tablet .tablet-padding-bottom-large {
        padding-bottom: var(--nvm-length-large);
    }

    .tablet .tablet-padding-bottom-xlarge {
        padding-bottom: var(--nvm-length-xlarge);
    }

    .laptop .laptop-padding-bottom-none {
        padding-bottom: 0;
    }

    .laptop .laptop-padding-bottom-small {
        padding-bottom: var(--nvm-length-small);
    }

    .laptop .laptop-padding-bottom-medium {
        padding-bottom: var(--nvm-length-medium);
    }

    .laptop .laptop-padding-bottom-normal {
        padding-bottom: var(--nvm-length-normal);
    }

    .laptop .laptop-padding-bottom-large {
        padding-bottom: var(--nvm-length-large);
    }

    .laptop .laptop-padding-bottom-xlarge {
        padding-bottom: var(--nvm-length-xlarge);
    }



    /* Paddings left. */

    .small .small-padding-left-none {
        padding-left: 0;
    }

    .small .small-padding-left-small {
        padding-left: var(--nvm-length-small);
    }

    .small .small-padding-left-medium {
        padding-left: var(--nvm-length-medium);
    }

    .small .small-padding-left-normal {
        padding-left: var(--nvm-length-normal);
    }

    .small .small-padding-left-large {
        padding-left: var(--nvm-length-large);
    }

    .small .small-padding-left-xlarge {
        padding-left: var(--nvm-length-xlarge);
    }

    .tablet .tablet-padding-left-none {
        padding-left: 0;
    }

    .tablet .tablet-padding-left-small {
        padding-left: var(--nvm-length-small);
    }

    .tablet .tablet-padding-left-medium {
        padding-left: var(--nvm-length-medium);
    }

    .tablet .tablet-padding-left-normal {
        padding-left: var(--nvm-length-normal);
    }

    .tablet .tablet-padding-left-large {
        padding-left: var(--nvm-length-large);
    }

    .tablet .tablet-padding-left-xlarge {
        padding-left: var(--nvm-length-xlarge);
    }

    .laptop .laptop-padding-left-none {
        padding-left: 0;
    }

    .laptop .laptop-padding-left-small {
        padding-left: var(--nvm-length-small);
    }

    .laptop .laptop-padding-left-medium {
        padding-left: var(--nvm-length-medium);
    }

    .laptop .laptop-padding-left-normal {
        padding-left: var(--nvm-length-normal);
    }

    .laptop .laptop-padding-left-large {
        padding-left: var(--nvm-length-large);
    }

    .laptop .laptop-padding-left-xlarge {
        padding-left: var(--nvm-length-xlarge);
    }

    .large .large-padding-left-xlarge {
        padding-left: var(--nvm-length-xlarge);
    }
    
    .large .large-padding-left-xxlarge {
        padding-left: var(--nvm-length-xxlarge);
    }


    /* Paddings right. */

    .small .small-padding-right-none {
        padding-right: 0;
    }

    .small .small-padding-right-small {
        padding-right: var(--nvm-length-small);
    }

    .small .small-padding-right-medium {
        padding-right: var(--nvm-length-medium);
    }

    .small .small-padding-right-normal {
        padding-right: var(--nvm-length-normal);
    }

    .small .small-padding-right-large {
        padding-right: var(--nvm-length-large);
    }

    .small .small-padding-right-xlarge {
        padding-right: var(--nvm-length-xlarge);
    }

    .tablet .tablet-padding-right-none {
        padding-right: 0;
    }

    .tablet .tablet-padding-right-small {
        padding-right: var(--nvm-length-small);
    }

    .tablet .tablet-padding-right-medium {
        padding-right: var(--nvm-length-medium);
    }

    .tablet .tablet-padding-right-normal {
        padding-right: var(--nvm-length-normal);
    }

    .tablet .tablet-padding-right-large {
        padding-right: var(--nvm-length-large);
    }

    .tablet .tablet-padding-right-xlarge {
        padding-right: var(--nvm-length-xlarge);
    }

    .laptop .laptop-padding-right-none {
        padding-right: 0;
    }

    .laptop .laptop-padding-right-small {
        padding-right: var(--nvm-length-small);
    }

    .laptop .laptop-padding-right-medium {
        padding-right: var(--nvm-length-medium);
    }

    .laptop .laptop-padding-right-normal {
        padding-right: var(--nvm-length-normal);
    }

    .laptop .laptop-padding-right-large {
        padding-right: var(--nvm-length-large);
    }

    .laptop .laptop-padding-right-xlarge {
        padding-right: var(--nvm-length-xlarge);
    }

    .large .large-padding-right-xlarge {
        padding-right: var(--nvm-length-xlarge);
    }

    .large .large-padding-right-xxlarge {
        padding-right: var(--nvm-length-xxlarge);
    }